dns_name4_domain(3)

NAME
dns_name4_domain - construct host name for reverse lookup

SYNTAX
#include <libowfat/dns.h> void dns_name4_domain(char q[DNS_NAME4_DOMAIN],
                     const char* ip[4]);

DESCRIPTION
dns_name4_domain is a low-level component of dns_name4. It converts an IP address such as 1.2.3.4 into a domain name such as 4.3.2.1.in-addr.arpa and places the packet-encoded domain name into q. q is zero terminated. q must have space for DNS_NAME4_DOMAIN bytes.

SEE ALSO
dns_name4(3), dns_name6_domain(3)